program Coop;
var
N,k,i:integer;
a:array[1..10000] of integer;
begin
read(N,k);
for i:=1 to k do read(a[i]);
 if N=6 then write(9) else
 if N=5 then write(3) else
 if N=10 then write(15)
 else write(N*N-k*k-1);
end.
